<?php

if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Sidebar',
'before_widget' => '<div class="sidebox">',
'after_widget' => '</div>',
'before_title' => '<h3 class="shadow">',
'after_title' => '</h3>',
));

if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer',
'before_widget' => '<div class="footer-block">',
'after_widget' => '</div>',
'before_title' => '<h4 class="shadow">',
'after_title' => '</h4>',
));

function wp_get_footer() {
echo "</div>";
echo "<p class=\"footer-copy\">Powered by <a href=\"http://www.wordpress.org\">Wordpress</a> | WordPress theme designed by <a href=\"http://www.webdesign-berlin.name\">Webdesign Berlin</a> | <a href='http://gooyait.com'>Translation into Persian : GooyaiT</a></p>";
echo "</div>";
echo "</body>";
echo "</html>";
}

function version_removal() {return '';}
add_filter('the_generator', 'version_removal');

function my_footer_text() {
echo "<a href=\"http://www.simplywp.net\">Website Design by simplyWP</a>";
} 
add_filter('admin_footer_text', 'my_footer_text');

function format($content) {
$new_content = '';
$pattern_full = '{(\[raw\].*?\[/raw\])}is';
$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);
foreach ($pieces as $piece) {
if (preg_match($pattern_contents, $piece, $matches)) {$new_content .= $matches[1];} else {$new_content .= wptexturize(wpautop($piece));}
}
return $new_content;
}
remove_filter('the_content', 'wpautop');
remove_filter('the_content', 'wptexturize');
add_filter('the_content', 'format', 99);

function recent_posts($no_posts = 10, $excerpts = true) {
global $wpdb;
$request = "SELECT ID, post_title, post_excerpt FROM $wpdb->posts WHERE post_status = 'publish' AND post_type='post' ORDER BY post_date DESC LIMIT $no_posts";
$posts = $wpdb->get_results($request);
if($posts) { foreach ($posts as $posts) {
$post_title = stripslashes($posts->post_title);
$permalink = get_permalink($posts->ID);
$output .= '<li><a href="' . $permalink . '" rel="bookmark" title="Permanent Link: ' . htmlspecialchars($post_title, ENT_COMPAT) . '">' . htmlspecialchars($post_title) . '</a></li>';
} } else {$output .= '<li>No posts found</li>';}
echo $output;
}

function get_thumb() {
global $post, $posts;
$first_img = '';
ob_start(); ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];
return $first_img;
}

function excerpt($length) {
	return 50;
}
function more($more) {
	return '...';
}
add_filter('excerpt_more', 'more');
add_filter('excerpt_length', 'excerpt');

function my_avatar($avatar_defaults) {
	$customGravatar1 = get_bloginfo('template_directory').'/images/avatar.gif';
	$avatar_defaults[$customGravatar1] = 'Theme Avatar';
	return $avatar_defaults;
}
add_filter('avatar_defaults', 'my_avatar');

function paginate($args = null) {
$defaults = array(
'page' => null, 'pages' => null, 
'range' => 3, 'gap' => 3, 'anchor' => 1,
'before' => '<div class="wp-pagenavi">', 'after' => '</div>',
'title' => __('Page'),
'nextpage' => __('Next'), 'previouspage' => __('Back'),
'echo' => 1
);
$r = wp_parse_args($args, $defaults); extract($r, EXTR_SKIP);
if (!$page && !$pages) {
  global $wp_query;
  $page = get_query_var('paged');
  $page = !empty($page) ? intval($page) : 1;
  $posts_per_page = intval(get_query_var('posts_per_page'));
  $pages = intval(ceil($wp_query->found_posts / $posts_per_page));
}
$output = "";
if ($pages > 1) {	
  $output .= "$before<span class=\"pages\">$title</span>";
  $ellipsis = "<span class=\"current\">...</span>";
if ($page > 1 && !empty($previouspage)) {
  $output .= "<a href='" . get_pagenum_link($page - 1) . "'>$previouspage</a>";
}
$min_links = $range * 2 + 1;
$block_min = min($page - $range, $pages - $min_links);
$block_high = max($page + $range, $min_links);
$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;
if ($left_gap && !$right_gap) {
  $output .= sprintf('%s%s%s', 
  pagination(1, $anchor), 
  $ellipsis, 
  pagination($block_min, $pages, $page)
  );
}
else if ($left_gap && $right_gap) {
  $output .= sprintf('%s%s%s%s%s', 
  pagination(1, $anchor), 
  $ellipsis, 
  pagination($block_min, $block_high, $page), 
  $ellipsis, 
  pagination(($pages - $anchor + 1), $pages)
  );
}
else if ($right_gap && !$left_gap) {
  $output .= sprintf('%s%s%s', 
  pagination(1, $block_high, $page),
  $ellipsis,
  pagination(($pages - $anchor + 1), $pages)
  );
}
else {
  $output .= pagination(1, $pages, $page);
}
if ($page < $pages && !empty($nextpage)) {
  $output .= "<a href='" . get_pagenum_link($page + 1) . "'>$nextpage</a>";
}
$output .= $after;
}
if ($echo) {
  echo $output;
}
return $output;
}

function pagination($start, $max, $page = 0) {
$output = "";
for ($i = $start; $i <= $max; $i++) {
  $output .= ($page === intval($i)) 
  ? "<span class=\"current\">$i</span>" 
  : "<a href='" . get_pagenum_link($i) . "'>$i</a>";
}
return $output;
}

function breadcrumbs() {
$delimiter = '&ndash;';
$name = 'Home'; //text for the 'Home' link
$currentBefore = '<span class="current">';
$currentAfter = '</span>';
if ( !is_home() && !is_front_page() || is_paged() ) {
  echo '<p class="breadcrumbs">';
  global $post;
  $home = get_bloginfo('url');
    echo 'You are here: <a href="' . $home . '">' . $name . '</a> ' . $delimiter . ' ';
      if ( is_category() ) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
      echo $currentBefore . 'Archive by category &#39;';
      single_cat_title();
      echo '&#39;' . $currentAfter;
    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $currentBefore . get_the_time('d') . $currentAfter;
    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $currentBefore . get_the_time('F') . $currentAfter;
    } elseif ( is_year() ) {
      echo $currentBefore . get_the_time('Y') . $currentAfter;
    } elseif ( is_single() ) {
      $cat = get_the_category(); $cat = $cat[0];
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
      echo $currentBefore;
      the_title();
      echo $currentAfter;
    } elseif ( is_page() && !$post->post_parent ) {
      echo $currentBefore;
      the_title();
      echo $currentAfter;
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
      echo $currentBefore;
      the_title();
      echo $currentAfter;
    } elseif ( is_search() ) {
      echo $currentBefore . 'Search results for &#39;' . get_search_query() . '&#39;' . $currentAfter;
    } elseif ( is_tag() ) {
      echo $currentBefore . 'Posts tagged &#39;';
      single_tag_title();
      echo '&#39;' . $currentAfter;
    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $currentBefore . 'Articles posted by ' . $userdata->display_name . $currentAfter;
    } elseif ( is_404() ) {
      echo $currentBefore . 'Error 404' . $currentAfter;
    }
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
    echo '</p>';
  }
}

$settings = array(
'featured' => 'Featured',
);

$themename = "Theme";
$shortname = "cyangant";
$options = array (

array(
"start" => "<div id=\"general\">",
"id" => $shortname."_feature_enable",
"type" => "checkbox",
"note" => "Check to show <span>feature slider</span>",
"end" => "</div>",
),

array(
"start" => "<div id=\"feature\">",
"name" => "Feature category",
"id" => $shortname."_featured",
"type" => "text",
"note" => "This will show 5 recent entries for the specified category",
"end" => "</div>",
),


array(
"start" => "<div id=\"follow\">",
"name" => "RSS Feed",
"id" => $shortname."_rss",
"type" => "text",
"note" => "Custom RSS Feed. <span>Leave blank to use default WordPress RSS Feed</span>",
),

array(
"name" => "Facebook Account URL",
"id" => $shortname."_facebook",
"type" => "text",
"note" => "Your full custom Url to <a href=\"http://www.facebook.com\">Facebook</a>",
),

array(
"name" => "Email address",
"id" => $shortname."_email",
"type" => "text",
"note" => "Your email address",
),

array(
"name" => "Twitter Account",
"id" => $shortname."_twitter",
"std" => $settings['twitter'],
"type" => "text",
"note" => "Your <a href=\"http://www.twitter.com\">Twitter</a> account. <strong>Example:</strong> <span>simplyWP</span>",
),

array(
"id" => $shortname."_twitter_number_enable",
"type" => "checkbox",
"note" => "Check to show <span>Twitter update</span>",
),

array(
"id" => $shortname."_twitter_number",
"std" => $settings['twitter_number'],
"type" => "select",
"options" => array("1", "2", "3", "4", "5"),
"note" => "Number of your <a href=\"http://www.twitter.com\">Twitter</a> update",
"end" => "</div>",
),

);

function mytheme_add_admin() {
global $themename, $shortname, $options;
if ( $_GET['page'] == basename(__FILE__) ) {
if ( 'save' == $_REQUEST['action'] ) {
foreach ($options as $value) {
if ($value['type']!='header') { update_option( $value['id'], $_REQUEST[ $value['id'] ] );}
}
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
header("Location: themes.php?page=functions.php&saved=true");
die;
} else if( 'reset' == $_REQUEST['action'] ) {
foreach ($options as $value) { delete_option( $value['id'] ); }
header("Location: themes.php?page=functions.php&reset=true");
die;
} } add_theme_page($themename." settings", "Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}
function mytheme_admin() {
global $themename, $shortname, $options;
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.js"></script>
<script type="text/javascript">
$(document).ready(function() {
var divWrapper = $('#slide > div');
divWrapper.hide().filter(':first').show();
$('ul.toplist li a').click(function () {
if (this.className.indexOf('current') == -1){
divWrapper.hide(); divWrapper.filter(this.hash).fadeIn('medium');
$('ul.toplist li a').removeClass('current');
$(this).addClass('current');
}return false;
});
});
</script>
<style typs="text/css">
ul.toplist {list-style: none; height: 30px;}
ul.toplist li a {display: block; padding: 10px 0px; text-align: center; width: 150px; font-weight: bold; float: left; background: url('<?php bloginfo('template_url'); ?>/images/button.gif') no-repeat 0px 0px; text-decoration: none;}
ul.toplist li a.current {background: url('<?php bloginfo('template_url'); ?>/images/button.gif') no-repeat 0px -36px; color: #fff;}
p.desc {clear:both; background: #ffffe0; border: 1px solid #e6db55; color: #888; padding: 10px;}
#slide {clear:both; border: 1px solid #dfdfdf;}
#slide {padding: 10px; background: #fff;}
#slide span {color: #f00; font-style: italic;}
#slide span.note, #slide p.note {color: #888;}
#slide p.info {background: #ffffe0; border: 1px solid #e6db55; color: #888; padding: 10px;}
h3.title {color: #d54e21;}
input[type='text'] {width: 300px;}
select {width: 200px;}
</style>

<div class="wrap">
<h2><?php echo $themename; ?> Options</h2>

<p class="desc">Below are a list of options for this theme developed by <a href="http://www.simplywp.net">simplyWP</a>. If you would like a more advance and custom design, do check our <a href="http://www.simplywp.net/pricing-and-order">price list</a>. Feel free to <a href="http://www.simplywp.net/contact">contact us</a> if you have any question about this theme.</p>

<form method="post">

<ul class="toplist">
<li><a class="current" href="#general">General</a></li>
<li><a href="#feature">Feature</a></li>
<li><a href="#follow">Social Networks</a></li>
</ul>

<div id="slide">

<?php foreach ($options as $value) { if ($value['type'] == "text") { ?>
<?php echo $value['start']; ?>
<p><strong><?php echo $value['name']; ?></strong></p>
<p class="note"><input onfocus="this.select();" style="color: #999;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
<?php echo $value['note']; ?></p>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "textarea") { ?>
<?php echo $value['start']; ?>
<p><strong><?php echo $value['name']; ?></strong></p>
<textarea name="<?php echo $value['id']; ?>" style="height: 80px; color: #999;" id="<?php echo $value['id']; ?>"><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo stripslashes($value['std']); } ?></textarea>
<p class="note"><?php echo $value['note']; ?></p>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "select") { ?>
<?php echo $value['start']; ?>
<p><strong><?php echo $value['name']; ?></strong></p>
<p class="note"><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="color: #999;">
<?php foreach ($value['options'] as $option) { ?>
<option <?php if ( htmlspecialchars(get_option( $value['id'] )) == htmlspecialchars($option)) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
<?php echo $value['note']; ?></p>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "title") { ?>
<?php echo $value['start']; ?>
<h3 class="title"><?php echo $value['name']; ?></h3>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "info") { ?>
<?php echo $value['start']; ?>
<p class="info"><?php echo $value['note']; ?></p>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "checkbox") { ?>

<?php echo $value['start']; ?>
<p><strong><?php echo $value['name']; ?></strong></p>
<?php if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";}?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />&nbsp;&nbsp;<span class="note"><?php echo $value['note']; ?></span>
</p>
<?php echo $value['end']; ?>

<?php } elseif ($value['type'] == "header") { ?>
<?php } }?>

</div>

<div class="option-button" style="clear: both; padding: 20px 0px; overflow: hidden;">
<div class="option-buttons" style="width: 150px; float: left;"><input name="save" type="submit" class="button-primary" value="Save changes" /><input type="hidden" name="action" value="save" /></form></div>
<div class="option-buttons" style="width: 150px; float: left;"><form method="post"><input name="reset" class="button" type="submit" value="Reset" /><input type="hidden" name="action" value="reset" /></form></div>
</div>

<?php }
add_action('admin_menu', 'mytheme_add_admin');
foreach ($options as $value) { if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
foreach ($settings as $k=>$v) { $var = $shortname.'_'.$k; if (!empty($$var)) $settings[$k] = $$var; }
function dp_settings($key) { global $settings; return $settings[$key];}
?>